body {
  padding: 0;
  margin: 0;
  background-image: url('../img/gradient.jpg');
  font-family: 'nunito';
}

/* ------------ container ------------ */
.container {
  padding-top: 30px;
  width: 500px;
  margin: 0 auto;
  position: relative;
}

/* ------------ header ------------ */
.header {
  width: 100%;
  height: 200px;
  background-image: url('../img/nolan-issac-It0DCaCBr40-unsplash.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  border-radius: 20px 20px 0 0;
  position: relative;
  justify-content: center;
}

.btn-about {
  position: absolute;
  text-align: left;
  width: 80px;
  left: 10px;
  margin-top: 20px;
  text-align: center;
  border: solid 1px #fff;
  border-radius: 5px;
  padding: 4px;
  cursor: pointer;
}

.about i {
  font-size: 15px;
  font-weight: bold;
  font-style: normal;
  font-family: 'nunito';
  color: #fff;
}

.btn-clear {
  position: absolute;
  width: 80px;
  right: 20px;
  margin-top: 20px;
  text-align: center;
  background: rgb(255, 230, 1);
  border-radius: 5px;
  padding: 5px;
  cursor: pointer;
}

.btn-clear:hover {
  background: #f6d410;
}

.clear i {
  font-size: 15px;
  font-weight: bold;
  font-style: normal;
  font-family: 'nunito';
  color: #000;
}

#date {
  position: absolute;
  bottom: 10px;
  left: 10px;
  color: #fff;
  font-size: 20px;
  font-family: 'nunito';
}

/* ------------ content ------------ */
.content {
  width: 100%;
  height: 350px;
  max-height: 350px;
  background-color: #fff;
  overflow: auto;
  justify-content: center;
}

.content ul {
  padding: 0 0 50px 0;
  margin: 0;
}

.item {
  width: 100%;
  height: 45px;
  min-height: 45px;
  position: relative;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  list-style: none;
  padding: 0;
  margin: 0;
  justify-content: center;
}

.item i.co {
  position: absolute;
  font-size: 25px;
  padding-left: 5px;
  left: 5px;
  top: 11px;
}

.item i.co:hover {
  cursor: pointer;
}

.fa-check-circle {
  color: #6eb200;
}

.item p.text {
  font-size: 15px;
  font-weight: 600;
  position: absolute;
  padding: 0;
  margin: 0;
  font-size: 15px;
  left: 40px;
  top: 12px;
  background-color: #fff;
  max-width: 285px;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* --- This is not working ([-] javascript) --- */
.item p.calendar {
  position: relative;
  font-size: 15px;
  left: 40px;
  top: 16px;
}
/* --- end --- */

.lineThrough {
  text-decoration: line-through;
  color: #ccc;
}

.item i.de {
  position: absolute;
  font-size: 25px;
  right: 15px;
  color: #000000;
  background: #cccc;
  width: 25px;
  padding: 4px;
  margin: 6px 0 4px 0;
  border-radius: 5px;
  text-align: center;
  align-items: center;
  cursor: pointer;
}

.item i.de:hover {
  background: rgb(255, 230, 1);
  width: 100%;
  text-align: right;
}

/* ------------ add item ------------ */
.add-calendar {
  position: absolute;
  display: flex;
  background-color: #fff;
  height: 55px;
  width: 100%;
  margin-top: -52px;
  justify-content: center;
  align-items: center;
  padding-top: 6px;
}

.add-calendar input {
  position: absolute;
  bottom: 30px;
  left: 4%;
}

.add-to-do {
  position: absolute;
  width: 100%;
  height: 25px;
  background-color: #fff;
  padding: 10px 0;
  border-radius: 0 0 20px 20px;
  box-shadow: 0 0.5rem 0.5rem rgba(0, 0, 0, 0.3);
}

.add-to-do input {
  position: absolute;
  height: 50px;
  width: 90%;
  background-color: rgb(236, 236, 236);
  border-radius: 12px;
  border: none !important;
  outline: none !important;
  font-size: 17px;
  padding:  0 7px;
  margin: auto;
  left: 0;
  right: 0;
  bottom: 10px;
}

@media (max-width: 550px) {
  html{
    overflow: hidden;
  }

  .btn-about,
  .btn-clear,
  .item i.de,
  .item i.co {
    cursor: default !important;
  }
  
  .container {
    width: 100%;
    padding: 0;
    margin: 0;
  }

  .header {
    border-radius: 0;
  }
  
  .item p.text {
    font-size: 14px;
    top: 14px;
  }

  .content {
    padding-bottom: 15rem;
  }
  
  .add-calendar {
    position: fixed;
    padding: 3px 0;
    bottom: 3.3rem;
    background-color: #fff;
  }

  .add-to-do {
    position: fixed;
    border-radius: 0;
    padding: 20px 0;
    bottom: 0;
  }

  .add-to-do input {
    border-radius: 10px;
  }
}